Bug 1729694 - [abrt] tracker: tracker_db_interface_sqlite_wal_checkpoint(): tracker-store killed by SIGSEGV
Summary: [abrt] tracker: tracker_db_interface_sqlite_wal_checkpoint(): tracker-store k...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos Garnacho
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e822b3e34e9e19cb639f6feeb50...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-13 15:43 UTC by ricky.tigg
Modified: 2020-05-26 16:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:21:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (24.91 KB, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: cgroup (219 bytes, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: core_backtrace (12.67 KB, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: cpuinfo (1.04 KB, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: dso_list (4.52 KB, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: environ (1.44 KB, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: exploitable (98 bytes, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: maps (29.83 KB, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: mountinfo (3.52 KB, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: open_fds (1.32 KB, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details
File: var_log_messages (208 bytes, text/plain)
2019-07-13 15:43 UTC, ricky.tigg
no flags Details

Description ricky.tigg 2019-07-13 15:43:25 UTC
Version-Release number of selected component:
tracker-2.2.2-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-store
crash_function: tracker_db_interface_sqlite_wal_checkpoint
executable:     /usr/libexec/tracker-store
journald_cursor: s=1d9a01845f174476bd86e0ed9ea4cc29;i=bdd;b=9a8878eb10554b40ab7ebceeb1baf507;m=1c7ba7a18;t=58d90499bfe33;x=3da22eef27584e81
kernel:         5.1.16-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 tracker_db_interface_sqlite_wal_checkpoint at ../src/libtracker-data/tracker-db-interface-sqlite.c:1966
 #1 wal_checkpoint at ../src/libtracker-data/tracker-db-manager.c:1118
 #2 wal_checkpoint_thread at ../src/libtracker-data/tracker-db-manager.c:1135
 #3 g_thread_proxy at ../glib/gthread.c:805

Comment 1 ricky.tigg 2019-07-13 15:43:29 UTC
Created attachment 1590277 [details]
File: backtrace

Comment 2 ricky.tigg 2019-07-13 15:43:31 UTC
Created attachment 1590278 [details]
File: cgroup

Comment 3 ricky.tigg 2019-07-13 15:43:33 UTC
Created attachment 1590279 [details]
File: core_backtrace

Comment 4 ricky.tigg 2019-07-13 15:43:35 UTC
Created attachment 1590280 [details]
File: cpuinfo

Comment 5 ricky.tigg 2019-07-13 15:43:37 UTC
Created attachment 1590281 [details]
File: dso_list

Comment 6 ricky.tigg 2019-07-13 15:43:38 UTC
Created attachment 1590282 [details]
File: environ

Comment 7 ricky.tigg 2019-07-13 15:43:40 UTC
Created attachment 1590283 [details]
File: exploitable

Comment 8 ricky.tigg 2019-07-13 15:43:41 UTC
Created attachment 1590284 [details]
File: limits

Comment 9 ricky.tigg 2019-07-13 15:43:44 UTC
Created attachment 1590285 [details]
File: maps

Comment 10 ricky.tigg 2019-07-13 15:43:45 UTC
Created attachment 1590286 [details]
File: mountinfo

Comment 11 ricky.tigg 2019-07-13 15:43:47 UTC
Created attachment 1590287 [details]
File: open_fds

Comment 12 ricky.tigg 2019-07-13 15:43:48 UTC
Created attachment 1590288 [details]
File: proc_pid_status

Comment 13 ricky.tigg 2019-07-13 15:43:50 UTC
Created attachment 1590289 [details]
File: var_log_messages

Comment 14 Ben Cotton 2020-04-30 21:28:12 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-05-26 16:21:16 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.